extends Control


onready var TwitchCheckButton = find_node("TwitchCheckButton", true)
onready var DemoProviderCheckButton = find_node("DemoProviderCheckButton", true)

var initializing = true
func _ready():
	TwitchCheckButton.pressed = Config.get_parameter(
		"provider_MajorityJudgmentTwitchChatProvider_enabled",
		false
	)
	DemoProviderCheckButton.pressed = Config.get_parameter(
		"provider_MajorityJudgmentDemoProvider_enabled",
		false
	)
	initializing = false


func _on_DoneButton_pressed():
	App.go_to_main_menu()


func _on_TwitchConfigureButton_pressed():
	App.go_to_twitch_settings()


func _on_TwitchCheckButton_toggled(button_pressed):
	Config.set_parameter(
		"provider_MajorityJudgmentTwitchChatProvider_enabled",
		button_pressed
	)
	if button_pressed and not initializing:
		find_node('NoTwitchSettingsPopup', true).show_if_should()


func _on_DemoProviderCheckButton_toggled(button_pressed):
	Config.set_parameter(
		"provider_MajorityJudgmentDemoProvider_enabled",
		button_pressed
	)
